Guide de migration vers .NET Framework 4.6 et 4.5

.NET Framework (current version)
 

Si vous avez créé votre application à l’aide d’une version antérieure du .NET Framework, vous pouvez généralement la mettre à niveau aisément vers .NET Framework 4.5, 4.5.1 ou 4.6. Ouvrez votre projet dans Visual Studio. Si votre projet a été créé dans une version antérieure, la boîte de dialogue Compatibilité des projets s'ouvre automatiquement. Pour plus d’informations sur la mise à niveau d’un projet dans Visual Studio 2013, consultez Comment : mettre à niveau des projets créés dans des versions antérieures de Visual Studio et Portage, migration et mise à niveau des projets Visual Studio.

Toutefois, certaines modifications dans le .NET Framework nécessitent des modifications dans le code. Vous pouvez également bénéficier des nouvelles fonctionnalités de .NET Framework 4.5, de ses versions intermédiaires ou de .NET Framework 4.6. Le fait d'apporter ces types de modifications à votre application pour une nouvelle version du .NET Framework est généralement appelé migration. Si la migration de votre application n'est pas nécessaire, vous pouvez l'exécuter dans le .NET Framework 4.5 ou ses versions ultérieures sans la recompiler.

Consultez les documents suivants avant de migrer votre application à partir des versions antérieures du .NET Framework vers la version 4.5, 4.5.1 ou 4.5.2 :

  • Consultez Versions et dépendances pour comprendre la version CLR sous-jacente à chaque version du .NET Framework et pour passer en revue les instructions qui vous permettront de cibler correctement vos applications.

  • Passez en revue Compatibilité des applications pour découvrir les modifications d’exécution et de reciblage susceptibles d’affecter votre application, et la manière de les gérer.

  • Passez en revue Éléments obsolètes dans la bibliothèque de classes pour déterminer les types ou membres rendus obsolètes dans votre code et les alternatives recommandées.

  • Consultez Nouveautés pour obtenir la description des nouvelles fonctionnalités que vous pouvez ajouter à votre application.

Compatibilité des applications dans la version 4.5.1
Compatibilité des applications dans la version 4.5
Migration à partir du .NET Framework 1.1
Compatibilité des versions
Versions et dépendances
Comment : configurer une application pour prendre en charge le .NET Framework 4 ou 4.5
Nouveautés
Éléments obsolètes dans la bibliothèque de classes
Version du .NET Framework et informations de l’assembly
Politique de support pour Microsoft .NET Framework

Afficher: